%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                 %
%          OBJEKTIVNÍ ANALÝZA METEO. POLÍ         %
%                   DRUHÝ PŘÍKLAD                 %
%                                                 %
%             OPTIMÁLNÍ HODNOTA + CHYBA           %
%                                                 %
% dány tři nezávislá měření teploty a             %
% střední kvadratické chyby měření.               %
% vypočteme optimální hodnotu teploty a chybu     %
%                                                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%inicializace
T=zeros(3,1);
s=zeros(3,1);
a=zeros(3,1);

%naměřené hodnoty
T(1,1)=12.;
T(2,1)=10.;
T(3,1)=15.;

%střední kvadratické chyby
s(1,1)=1.;
s(2,1)=2.;
s(3,1)=3.;


%teplota=suma(a_i * T_i)
%vypočtu a_i <-- minimalizace střední kvadratická chyby

%          1/s_k^2
% a_k = --------------
%        sum (1/s_i^2)

suma=1/(s(1,1)^2) + 1/((s(2,1))^2) + 1/((s(3,1))^2); %napočítám si sumu ve jmenovateli

a(1,1)=(1/((s(1,1))^2))/suma; %vypočtu koeficienty lineární kombinace
a(2,1)=(1/((s(2,1))^2))/suma; %  --||--
a(3,1)=(1/((s(3,1))^2))/suma; %  --||--

%vypočtu a zobrazím teplotu a její střední kvadratickou chybu
teplota=a(1,1)*T(1,1)+a(2,1)*T(2,1)+a(3,1)*T(3,1)
sigma=sqrt(1/suma)
